<?php
// Database connection
include('mysqli_connect.php');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve form input using $_POST
    $firstname = $_POST['firstname'];
    $lastname = $_POST['lastname'];
    $email = $_POST['email'];
    $password = $_POST['password'];  // Will be hashed before insertion
    $gender = $_POST['gender'];
    $agerange = $_POST['agerange'];
    $comments = $_POST['comments'];

    // SQL Query to insert user data into the users table with SHA2 encryption for password
    $query = "INSERT INTO users (firstname, lastname, email, password, gender, agerange, comments, is_active, regdate)
              VALUES ('$firstname', '$lastname', '$email', SHA2('$password', 256), '$gender', '$agerange', '$comments', TRUE, NOW())";

    // Execute the query
    if (mysqli_query($mysqli_connect, $query)) {
        echo "Registration successful!";
    } else {
        echo "Error: " . mysqli_error($mysqli_connect);
    }
}
?>



<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register an Account</title>
    <style>
        /* General Styling */
        body {
            background-color: #121212;
            color: #FFD700;
            font-family: 'Helvetica Neue', Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }

        h2 {
            color: #FFD700;
            text-align: center;
            margin-bottom: 20px;
        }

        /* Form Container */
        .form-container {
            background-color: #1c1c1c;
            padding: 40px;
            border-radius: 10px;
            box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
            width: 400px;
        }

        /* Form Elements */
        form {
            display: flex;
            flex-direction: column;
        }

        input[type="text"], 
        input[type="email"], 
        input[type="password"], 
        select, 
        textarea {
            background-color: #333;
            border: none;
            border-radius: 5px;
            padding: 10px;
            color: #FFD700;
            margin-bottom: 15px;
            font-size: 14px;
        }

        textarea {
            resize: vertical;
        }

        input[type="submit"] {
            background-color: #FFD700;
            color: #121212;
            border: none;
            padding: 12px;
            font-size: 16px;
            font-weight: bold;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #e6c200;
        }

        /* Add focus effects */
        input[type="text"]:focus, 
        input[type="email"]:focus, 
        input[type="password"]:focus, 
        select:focus, 
        textarea:focus {
            outline: none;
            border: 2px solid #FFD700;
        }

        /* Mobile Responsiveness */
        @media (max-width: 500px) {
            .form-container {
                width: 90%;
                padding: 30px;
            }
        }
    </style>
</head>
<body>

<div class="form-container">
    <h2>Register Form</h2>

    <form action="register.php" method="POST">
        <label for="firstname">First Name:</label>
        <input type="text" id="firstname" name="firstname" required>

        <label for="lastname">Last Name:</label>
        <input type="text" id="lastname" name="lastname" required>

        <label for="email">Email:</label>
        <input type="email" id="email" name="email" required>

        <label for="password">Password:</label>
        <input type="password" id="password" name="password" required>

        <label for="gender">Gender:</label>
        <select id="gender" name="gender" required>
            <option value="Male">Male</option>
            <option value="Female">Female</option>
            <option value="Other">Other</option>
        </select>

        <label for="agerange">Age Range:</label>
        <select id="agerange" name="agerange" required>
            <option value="18-25">18-25</option>
            <option value="26-35">26-35</option>
            <option value="36-45">36-45</option>
            <option value="46+">46+</option>
        </select>

        <label for="comments">Comments:</label>
        <textarea id="comments" name="comments" rows="4"></textarea>

        <input type="submit" name="submit" value="Submit My Information">
    </form>
</div>

</body>
</html>
